import request from '@/utils/request'

export function getList(data) {
  return request({
    url: 'api/ctCompany/list',
    method: 'post',
    data
  })
}

export function add(data) {
  return request({
    url: 'api/ctCompany/add',
    method: 'post',
    data
  })
}

export function delById(data) {
  return request({
    url: 'api/ctCompany/delete',
    method: 'post',
    data
  })
}

export function editById(data) {
  return request({
    url: 'api/ctCompany/edit',
    method: 'post',
    data
  })
}

export function getById(data) {
  return request({
    url: 'api/ctCompany/getById',
    method: 'post',
    data
  })
}
  
export function getAll() {
  return request({
    url: 'api/ctCompany/getAll',
    method: 'get'
  })
}
